## desktopnova 0.8

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

PROJECT(DESKTOPNOVA C)
SET(DESKTOPNOVA_MAJOR "0")
SET(DESKTOPNOVA_MINOR "8")
SET(DESKTOPNOVA_PATCH "0")
SET(VERSION "${DESKTOPNOVA_MAJOR}.${DESKTOPNOVA_MINOR}.${DESKTOPNOVA_PATCH}")
SET(PACKAGE DesktopNova)

SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

SET(GETTEXT_PACKAGE "desktopnova")
SET(GETTEXT_PACKAGE_MODULE_GNOME "desktopnova-module-gnome")
SET(GETTEXT_PACKAGE_MODULE_XFCE "desktopnova-module-xfce")
SET(GETTEXT_PACKAGE_TRAY "desktopnova-tray")

SET(DIRS_BINDIR "bin" CACHE STRING "Directory for executable files")
SET(DIRS_DATADIR "share" CACHE STRING "Directory for resource files")
SET(DIRS_LOCALEDIR "share/locale" CACHE STRING "Directory for locales")
SET(DIRS_PKGLIBDIR "lib/desktopnova" CACHE STRING "Directory for modules")

SET(VERSION_MODULE_GNOME "0.2")
SET(VERSION_MODULE_XFCE "0.1")
SET(VERSION_MODULE_XFCE_XFCONF "0.2")

IF(NOT UNIX)
	MESSAGE(FATAL_ERROR "Only unixoid operation systems are supported!")
ENDIF(NOT UNIX)

IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

SET(RELEASE_BUILD 1 CACHE BOOL "Flag this build as an official release.")
SET(ENABLE_NLS 1 CACHE BOOL "** At the moment disabling has no effect! ** Define whether program translation should be supported.")
SET(ENABLE_MAIN 1 CACHE BOOL "Define whether the main programs (desktopnova and desktopnova-daemon) should be compiled.")
SET(ENABLE_DBUS 1 CACHE BOOL "Define whether dbus should be supported (dbus is required in order to use desktopnova-tray).")
SET(ENABLE_TRAY 1 CACHE BOOL "Define whether desktopnova-tray should be compiled (requires dbus-support).")
SET(ENABLE_MODULE_GNOME 1 CACHE BOOL "Define whether the gnome module should be compiled.")
SET(ENABLE_MODULE_XFCE 1 CACHE BOOL "Define whether the old xfce module (supports XFCE < 4.6) should be compiled.")
SET(ENABLE_MODULE_XFCE_XFCONF 1 CACHE BOOL "Define whether the new xfce module (supports XFCE >= 4.6) should be compiled.")

# Disabling of NLS is not implemented and causes compile errors
SET(ENABLE_NLS 1)

IF(ENABLE_TRAY)
	IF(NOT ENABLE_DBUS)
		MESSAGE(FATAL_ERROR "desktopnova-tray needs dbus-support!\nIf you enable ENABLE_TRAY you must also enable ENABLE_DBUS!")
	ENDIF(NOT ENABLE_DBUS)
ENDIF(ENABLE_TRAY)


IF(ENABLE_NLS)
	FIND_PACKAGE(Gettext REQUIRED)
	FIND_PROGRAM(INTLTOOL_EXTRACT intltool-extract)
	FIND_PROGRAM(INTLTOOL_MERGE intltool-merge)
	IF (NOT INTLTOOL_EXTRACT)
		MESSAGE(FATAL_ERROR "intltool-extract not found")
	ENDIF(NOT INTLTOOL_EXTRACT)
	IF (NOT INTLTOOL_MERGE)
		MESSAGE(FATAL_ERROR "intltool-merge not found")
	ENDIF(NOT INTLTOOL_MERGE)
ENDIF(ENABLE_NLS)

FIND_PACKAGE(PkgConfig REQUIRED)

PKG_CHECK_MODULES(GLIB2 REQUIRED glib-2.0)
IF(ENABLE_MAIN)
	PKG_CHECK_MODULES(XML2 REQUIRED libxml-2.0)
ENDIF(ENABLE_MAIN)
IF(ENABLE_MAIN OR ENABLE_TRAY)
	PKG_CHECK_MODULES(GTK2 REQUIRED gtk+-2.0)
ENDIF(ENABLE_MAIN OR ENABLE_TRAY)
IF(ENABLE_DBUS)
	PKG_CHECK_MODULES(GTHREAD2 REQUIRED gthread-2.0)
ENDIF(ENABLE_DBUS)
IF(ENABLE_MODULE_GNOME)
	PKG_CHECK_MODULES(GCONF2 REQUIRED gconf-2.0)
ENDIF(ENABLE_MODULE_GNOME)
IF(ENABLE_MODULE_XFCE_XFCONF)
	PKG_CHECK_MODULES(XFCONF REQUIRED libxfconf-0)
ENDIF(ENABLE_MODULE_XFCE_XFCONF)
IF(ENABLE_DBUS)
PKG_CHECK_MODULES(DBUS REQUIRED dbus-glib-1)
ENDIF(ENABLE_DBUS)

SET(TEMP_PRINT_DEBUG 0)
IF(NOT RELEASE_BUILD)
	SET(TEMP_PRINT_DEBUG 1)
	FIND_PROGRAM(BZR_EXECUTABLE bzr)
	IF(BZR_EXECUTABLE)
		EXECUTE_PROCESS(COMMAND ${BZR_EXECUTABLE} revno
		                WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
		                RESULT_VARIABLE BZR_RESULT
		                OUTPUT_VARIABLE BZR_REVNO
		                OUTPUT_STRIP_TRAILING_WHITESPACE)
		IF(BZR_RESULT EQUAL 0)
			MESSAGE(STATUS "Current bzr-revno: ${BZR_REVNO}")
			SET(VERSION "${VERSION}-bzr${BZR_REVNO}")
		ELSE(BZR_RESULT EQUAL 0)
			SET(BZR_REVNO)
		ENDIF(BZR_RESULT EQUAL 0)
		SET(BZR_EXECUTABLE)
		SET(BZR_EXECUTABLE_RESULT)
	ENDIF(BZR_EXECUTABLE)
ENDIF(NOT RELEASE_BUILD)
MESSAGE(STATUS "Version: ${VERSION}")

SET(PRINT_DEBUG ${TEMP_PRINT_DEBUG} CACHE BOOL "Define whether the programs should print usefull debug messages on stdout.")
SET(TEMP_PRINT_DEBUG)

CONFIGURE_FILE(config.h.cmake config.h)
INCLUDE_DIRECTORIES(${PROJECT_BINARY_DIR})

ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(po)
ADD_SUBDIRECTORY(res)

=== po/CMakeLists.txt ===
IF(ENABLE_MAIN)
	ADD_SUBDIRECTORY(desktopnova)
ENDIF(ENABLE_MAIN)

IF(ENABLE_MODULE_GNOME)
	ADD_SUBDIRECTORY(desktopnova-module-gnome)
ENDIF(ENABLE_MODULE_GNOME)

IF(ENABLE_MODULE_XFCE OR ENABLE_MODULE_XFCE_XFCONF)
	ADD_SUBDIRECTORY(desktopnova-module-xfce)
ENDIF(ENABLE_MODULE_XFCE OR ENABLE_MODULE_XFCE_XFCONF)

IF(ENABLE_TRAY)
	ADD_SUBDIRECTORY(desktopnova-tray)
ENDIF(ENABLE_TRAY)

ADD_CUSTOM_TARGET(pots)
ADD_DEPENDENCIES(pots
                 desktopnova-pot
                 desktopnova-module-gnome-pot
                 desktopnova-module-xfce-pot
                 desktopnova-tray-pot)

=== res/CMakeLists.txt ===
IF(ENABLE_MAIN OR ENABLE_TRAY)
	INSTALL(FILES desktopnova.png
	        DESTINATION ${DIRS_DATADIR}/icons/hicolor/48x48/apps)

	INSTALL(FILES desktopnova.svg
	        DESTINATION ${DIRS_DATADIR}/icons/hicolor/scalable/apps)
ENDIF(ENABLE_MAIN OR ENABLE_TRAY)

IF(ENABLE_TRAY)
	INSTALL(FILES tray-icons/desktopnova-tray-normal.svg
	        DESTINATION ${DIRS_DATADIR}/desktopnova/tray-icons)

	INSTALL(FILES tray-icons/desktopnova-tray-error.svg
	        DESTINATION ${DIRS_DATADIR}/desktopnova/tray-icons)
ENDIF(ENABLE_TRAY)

IF(ENABLE_MAIN)
	ADD_CUSTOM_TARGET(intltool-desktopnova-merge ALL
	                  COMMAND ${INTLTOOL_MERGE} --desktop-style ${PROJECT_SOURCE_DIR}/po/desktopnova ${PROJECT_SOURCE_DIR}/res/desktopnova.desktop.in  ${CMAKE_CURRENT_BINARY_DIR}/desktopnova.desktop
	                  DEPENDS ${PROJECT_SOURCE_DIR}/res/desktopnova.desktop.in
	                  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
	                  COMMENT "Merging desktopnova.desktop.in"
	                  VERBATIM)

	INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/desktopnova.desktop
	        DESTINATION ${DIRS_DATADIR}/applications)
ENDIF(ENABLE_MAIN)

IF(ENABLE_TRAY)
	ADD_CUSTOM_TARGET(intltool-desktopnova-tray-merge ALL
	                  COMMAND ${INTLTOOL_MERGE} --desktop-style ${PROJECT_SOURCE_DIR}/po/desktopnova-tray ${PROJECT_SOURCE_DIR}/res/desktopnova-tray.desktop.in  ${CMAKE_CURRENT_BINARY_DIR}/desktopnova-tray.desktop
	                  DEPENDS ${PROJECT_SOURCE_DIR}/res/desktopnova-tray.desktop.in
	                  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
	                  COMMENT "Merging desktopnova-tray.desktop.in"
	                  VERBATIM)

	INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/desktopnova-tray.desktop
	        DESTINATION ${DIRS_DATADIR}/applications)
ENDIF(ENABLE_TRAY)

=== po/desktopnova-module-gnome/CMakeLists.txt ===
SET(DOMAIN desktopnova-module-gnome)
SET(LANG ar cs de es fr gl hu it nl pt pt_BR ru tr zh_CN)

GETTEXT_POT(${DOMAIN})
GETTEXT_MO(${DOMAIN} ${LANG})
GETTEXT_UPDATE_PO(${DOMAIN} ${LANG})

=== po/desktopnova-module-xfce/CMakeLists.txt ===
SET(DOMAIN desktopnova-module-xfce)
SET(LANG ar cs de es fr gl hu it pt pt_BR ru tr zh_CN)

GETTEXT_POT(${DOMAIN})
GETTEXT_MO(${DOMAIN} ${LANG})
GETTEXT_UPDATE_PO(${DOMAIN} ${LANG})

=== po/desktopnova-tray/CMakeLists.txt ===
SET(DOMAIN desktopnova-tray)
SET(LANG ar cs de es fr gl hu it pt pt_BR ru tr)

GETTEXT_POT(${DOMAIN})
GETTEXT_MO(${DOMAIN} ${LANG})
GETTEXT_UPDATE_PO(${DOMAIN} ${LANG})

=== po/desktopnova/CMakeLists.txt ===
SET(DOMAIN desktopnova)
SET(LANG ar cs de es fr gl hu it pl pt pt_BR ru tr zh_CN)

GETTEXT_POT(${DOMAIN})
GETTEXT_MO(${DOMAIN} ${LANG})
GETTEXT_UPDATE_PO(${DOMAIN} ${LANG})

ADD_CUSTOM_COMMAND(TARGET gettext-${DOMAIN}-mo
                   PRE_BUILD
                   COMMAND ${INTLTOOL_EXTRACT} --local --type gettext/ini --srcdir ${PROJECT_SOURCE_DIR} res/desktopnova.desktop.in
                   DEPENDS ${PROJECT_SOURCE_DIR}/res/desktopnova.desktop.in
                   WORKING_DIR ${CMAKE_CURRENT_BINARY_DIR}
                   COMMENT "Extracting messages from desktopnova.desktop.in"
                   VERBATIM)

#ADD_CUSTOM_COMMAND(TARGET gettext-${DOMAIN}-mo
#                   POST_BUILD
#                   COMMAND ${CMAKE_COMMAND} -E remove_directory ${CMAKE_CURRENT_BINARY_DIR}/tmp
#                   COMMENT "Removing desktopnova.desktop.in.h"
#                   VERBATIM)

=== src/misc/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${GLIB2_INCLUDE_DIRS}
                    ${XML2_INCLUDE_DIRS})

ADD_CUSTOM_COMMAND(OUTPUT authors.h
                   COMMAND python ${PROJECT_SOURCE_DIR}/ascii-to-header.py
                           ${PROJECT_SOURCE_DIR}/AUTHORS ${CMAKE_CURRENT_BINARY_DIR}/authors.h
                           ${PROJECT_SOURCE_DIR}/LICENSE
                   COMMENT "Generating authors.h"
                   VERBATIM)

ADD_CUSTOM_COMMAND(OUTPUT license.h
                   COMMAND python ${PROJECT_SOURCE_DIR}/ascii-to-header.py
                           ${PROJECT_SOURCE_DIR}/LICENSE ${CMAKE_CURRENT_BINARY_DIR}/license.h
                           ${PROJECT_SOURCE_DIR}/LICENSE
                   COMMENT "Generating license.h"
                   VERBATIM)

ADD_CUSTOM_COMMAND(OUTPUT translators.h
                   COMMAND python ${PROJECT_SOURCE_DIR}/ascii-to-header.py
                           ${PROJECT_SOURCE_DIR}/TRANSLATORS ${CMAKE_CURRENT_BINARY_DIR}/translators.h
                           ${PROJECT_SOURCE_DIR}/LICENSE
                   COMMENT "Generating translators.h"
                   VERBATIM)

ADD_CUSTOM_TARGET(asciis-to-headers ALL
                  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/authors.h
                          ${CMAKE_CURRENT_BINARY_DIR}/license.h
                          ${CMAKE_CURRENT_BINARY_DIR}/translators.h)

ADD_LIBRARY(desktopnova-general STATIC general.c)

IF(ENABLE_MAIN)
	ADD_LIBRARY(desktopnova-module STATIC module.c)
ENDIF(ENABLE_MAIN)

IF(ENABLE_MAIN OR ENABLE_TRAY)
	ADD_LIBRARY(desktopnova-xml STATIC xml.c)

	TARGET_LINK_LIBRARIES(desktopnova-xml desktopnova-general
	                      ${XML2_LIBRARIES})
ENDIF(ENABLE_MAIN OR ENABLE_TRAY)

=== debian/changelog ===
desktopnova (0.8-2) unstable; urgency=low

  * Avoid circular dependencies. (Closes: #583756)
  * Mention copyright of translation explicitly.

 -- Stefan Haller <haliner@googlemail.com>  Sat, 19 Jun 2010 13:07:46 +0200

desktopnova (0.8-1) unstable; urgency=low

  * Initial Release (Closes: #562532)

 -- Stefan Haller <haliner@googlemail.com>  Mon, 24 May 2010 11:02:17 +0200

=== debian/control ===
Source: desktopnova
Section: misc
Priority: optional
Maintainer: Stefan Haller <haliner@googlemail.com>
Build-Depends: debhelper (>= 7), cmake, libglib2.0-dev, libgconf2-dev, libgtk2.0-dev, intltool, libxml2-dev, libdbus-glib-1-dev, libxfconf-0-dev
Standards-Version: 3.8.4
Homepage: http://launchpad.net/desktopnova

Package: desktopnova
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, psmisc
Recommends: desktopnova-module-gnome | desktopnova-module-xfce, desktopnova-tray
Conflicts: gwallpapers
Replaces: gwallpapers
Description: utility that changes the wallpaper automatically
 DesktopNova changes the desktop background image after an adjustable time.
 It can choose the images from single files and folders (with or without
 subfolders). An autostart feature is also implemented.
 .
 This package contains the graphical user interface and background daemon.
 .
 There is at least one module needed. Without a module this package will not
 work as expected! See packages desktopnova-module-*.
 .
 There is also an additional tray icon available. See package desktopnova-tray.


Package: desktopnova-module-gnome
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, desktopnova (= ${binary:Version})
Conflicts: gwallpapers-module-gnome
Replaces: gwallpapers-module-gnome
Description: GNOME module for DesktopNova
 DesktopNova changes the desktop background image after an adjustable time.
 It can choose the images from single files and folders (with or without
 subfolders). An autostart feature is also implemented.
 .
 This package enables GNOME support for DesktopNova.

Package: desktopnova-module-xfce
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, desktopnova (= ${binary:Version})
Conflicts: gwallpapers-module-xfce
Replaces: gwallpapers-module-xfce
Description: Xfce module for DesktopNova
 DesktopNova changes the desktop background image after an adjustable time.
 It can choose the images from single files and folders (with or without
 subfolders). An autostart feature is also implemented.
 .
 This package enables Xfce support for DesktopNova.

Package: desktopnova-tray
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, desktopnova (= ${binary:Version})
Conflicts: gwallpapers-tray
Replaces: gwallpapers-tray
Description: tray icon for DesktopNova
 DesktopNova changes the desktop background image after an adjustable time.
 It can choose the images from single files and folders (with or without
 subfolders). An autostart feature is also implemented.
 .
 This package installs a tray icon for DesktopNova.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@

## desktopnova 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,7 +51,7 @@
 
 
 IF(ENABLE_NLS)
-	FIND_PACKAGE(Gettext REQUIRED)
+	FIND_PACKAGE(Intltools REQUIRED)
 	FIND_PROGRAM(INTLTOOL_EXTRACT intltool-extract)
 	FIND_PROGRAM(INTLTOOL_MERGE intltool-merge)
 	IF (NOT INTLTOOL_EXTRACT)
@@ -113,5 +113,20 @@
 INCLUDE_DIRECTORIES(${PROJECT_BINARY_DIR})
 
 ADD_SUBDIRECTORY(src)
-ADD_SUBDIRECTORY(po)
 ADD_SUBDIRECTORY(res)
+
+IF(ENABLE_MAIN)
+	ADD_SUBDIRECTORY(po)
+ENDIF(ENABLE_MAIN)
+
+IF(ENABLE_MODULE_GNOME)
+	ADD_SUBDIRECTORY(po-module-gnome)
+ENDIF(ENABLE_MODULE_GNOME)
+
+IF(ENABLE_MODULE_XFCE OR ENABLE_MODULE_XFCE_XFCONF)
+	ADD_SUBDIRECTORY(po-module-xfce)
+ENDIF(ENABLE_MODULE_XFCE OR ENABLE_MODULE_XFCE_XFCONF)
+
+IF(ENABLE_TRAY)
+	ADD_SUBDIRECTORY(po-tray)
+ENDIF(ENABLE_TRAY)

=== po-module-gnome/CMakeLists.txt ===
SET(DOMAIN desktopnova-module-gnome)
SET(LANG ar cs de es fr gl hu it nl pt pt_BR ru tr zh_CN)

INTLTOOL_MO(${DOMAIN} ${LANG})

=== po-module-xfce/CMakeLists.txt ===
SET(DOMAIN desktopnova-module-xfce)
SET(LANG ar cs de es fr gl hu it pt pt_BR ru tr zh_CN)

INTLTOOL_MO(${DOMAIN} ${LANG})

=== po-tray/CMakeLists.txt ===
SET(DOMAIN desktopnova-tray)
SET(LANG ar cs de es fr gl hu it pt pt_BR ru tr)

INTLTOOL_MO(${DOMAIN} ${LANG})

=== po/CMakeLists.txt ===
SET(DOMAIN desktopnova)
SET(LANG ar cs de es fr gl hu it pl pt pt_BR ru tr zh_CN)

INTLTOOL_MO(${DOMAIN} ${LANG})

=== res/CMakeLists.txt ===
IF(ENABLE_MAIN OR ENABLE_TRAY)
	INSTALL(FILES desktopnova.png
	        DESTINATION ${DIRS_DATADIR}/icons/hicolor/48x48/apps)

	INSTALL(FILES desktopnova.svg
	        DESTINATION ${DIRS_DATADIR}/icons/hicolor/scalable/apps)
ENDIF(ENABLE_MAIN OR ENABLE_TRAY)

IF(ENABLE_TRAY)
	INSTALL(FILES tray-icons/desktopnova-tray-normal.svg
	        DESTINATION ${DIRS_DATADIR}/desktopnova/tray-icons)

	INSTALL(FILES tray-icons/desktopnova-tray-error.svg
	        DESTINATION ${DIRS_DATADIR}/desktopnova/tray-icons)
ENDIF(ENABLE_TRAY)

IF(ENABLE_MAIN)
	INTLTOOL_MERGE(po desktopnova.desktop.in desktopnova.desktop)

	INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/desktopnova.desktop
	        DESTINATION ${DIRS_DATADIR}/applications)
ENDIF(ENABLE_MAIN)

IF(ENABLE_TRAY)
	INTLTOOL_MERGE(po-tray desktopnova-tray.desktop.in desktopnova-tray.desktop)

	INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/desktopnova-tray.desktop
	        DESTINATION ${DIRS_DATADIR}/applications)
ENDIF(ENABLE_TRAY)

=== src/CMakeLists.txt ===
ADD_SUBDIRECTORY(misc)

IF(ENABLE_DBUS)
	ADD_SUBDIRECTORY(dbus)
ENDIF(ENABLE_DBUS)

IF(ENABLE_MAIN)
	ADD_SUBDIRECTORY(desktopnova)
	ADD_SUBDIRECTORY(desktopnova-daemon)
ENDIF(ENABLE_MAIN)

IF(ENABLE_TRAY)
	ADD_SUBDIRECTORY(desktopnova-tray)
ENDIF(ENABLE_TRAY)

ADD_SUBDIRECTORY(modules)

=== src/dbus/CMakeLists.txt ===
FIND_PROGRAM(DBUS_BINDING_TOOL dbus-binding-tool)
IF(DBUS_BINDING_TOOL-NOTFOUND)
	MESSAGE(FATAL_ERROR "Could not find dbus-binding-tool!")
ENDIF(DBUS_BINDING_TOOL-NOTFOUND)

ADD_CUSTOM_COMMAND(OUTPUT dbus-server-bindings.h
                   COMMAND ${DBUS_BINDING_TOOL} --prefix=server --mode=glib-server --output=dbus-server-bindings.h ${PROJECT_SOURCE_DIR}/src/dbus/dbus-interface.xml
                   DEPENDS dbus-interface.xml
                   COMMENT "Executing dbus-binding-tool: Generating dbus-server-bindings.h"
                   VERBATIM)
ADD_CUSTOM_COMMAND(OUTPUT dbus-client-bindings.h
                   COMMAND ${DBUS_BINDING_TOOL} --prefix=server --mode=glib-client --output=dbus-client-bindings.h ${PROJECT_SOURCE_DIR}/src/dbus/dbus-interface.xml
                   DEPENDS dbus-interface.xml
                   COMMENT "Executing dbus-binding-tool: Generating dbus-client-bindings.h"
                   VERBATIM)

ADD_CUSTOM_TARGET(dbus-bindings ALL
                  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/dbus-server-bindings.h
                          ${CMAKE_CURRENT_BINARY_DIR}/dbus-client-bindings.h)


INCLUDE_DIRECTORIES(${GLIB2_INCLUDE_DIRS} ${DBUS_INCLUDE_DIRS}
                    ${GTHREAD2_INCLUDE_DIRS}
                    ${CMAKE_CURRENT_BINARY_DIR})
ADD_LIBRARY(desktopnova-dbus STATIC dbus-server.c)

=== src/desktopnova-daemon/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${GLIB2_INCLUDE_DIRS} ${DBUS_INCLUDE_DIRS}
                    ${GTHREAD2_INCLUDE_DIRS})

ADD_EXECUTABLE(desktopnova-daemon desktopnova-daemon.c
                                  history.c
                                  wallpapers.c)

TARGET_LINK_LIBRARIES(desktopnova-daemon ${GLIB2_LIBRARIES}
                      ${DBUS_LIBRARIES} ${GTHREAD2_LIBRARIES}
                      desktopnova-general desktopnova-xml desktopnova-module)

IF(ENABLE_DBUS)
	TARGET_LINK_LIBRARIES(desktopnova-daemon desktopnova-dbus)
ENDIF(ENABLE_DBUS)

INSTALL(TARGETS desktopnova-daemon
        DESTINATION ${DIRS_BINDIR})

=== src/desktopnova-tray/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${GTK2_INCLUDE_DIRS}
                    ${GLIB2_INCLUDE_DIRS}
                    ${DBUS_INCLUDE_DIRS}
                    ${CMAKE_CURRENT_BINARY_DIR})

ADD_EXECUTABLE(desktopnova-tray desktopnova-tray.c)
TARGET_LINK_LIBRARIES(desktopnova-tray ${GTK2_LIBRARIES} ${GLIB2_LIBRARIES}
                      ${DBUS_LIBRARIES} desktopnova-general desktopnova-xml)

INSTALL(TARGETS desktopnova-tray
        DESTINATION ${DIRS_BINDIR})

=== src/desktopnova/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR}
                    ${GTK2_INCLUDE_DIRS}
                    ${GLIB2_INCLUDE_DIRS})

ADD_EXECUTABLE(desktopnova desktopnova.c desktopnova-profiles.c)
TARGET_LINK_LIBRARIES(desktopnova ${GTK2_LIBRARIES} ${GLIB2_LIBRARIES}
                      desktopnova-general desktopnova-xml desktopnova-module)

INSTALL(TARGETS desktopnova
        DESTINATION ${DIRS_BINDIR})

=== src/misc/CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,7 @@
 
 IF(ENABLE_MAIN)
 	ADD_LIBRARY(desktopnova-module STATIC module.c)
+	TARGET_LINK_LIBRARIES(desktopnova-module dl)
 ENDIF(ENABLE_MAIN)
 
 IF(ENABLE_MAIN OR ENABLE_TRAY)

=== debian/changelog ===
desktopnova (0.8.1-1) unstable; urgency=low

  * New upstream release.
    Fixes ftbfs and now links correctly against libdl (Closes: #615707).

 -- Stefan Haller <haliner@googlemail.com>  Sun, 20 Mar 2011 16:40:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Stefan Haller <haliner@googlemail.com>
 Build-Depends: debhelper (>= 7), cmake, libglib2.0-dev, libgconf2-dev, libgtk2.0-dev, intltool, libxml2-dev, libdbus-glib-1-dev, libxfconf-0-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://launchpad.net/desktopnova
 
 Package: desktopnova

=== debian/watch ===
version=3

https://launchpad.net/desktopnova/+download/ http://launchpad.net/desktopnova/.*/desktopnova-(.+).tar.gz
